> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Blockchain - List

> Get list of supported blockchains



## OpenAPI

````yaml /en/api-reference/openapi-data-en.yaml GET /v2/blockchain
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: Blockchain related operations
  - name: Token
    description: Token related operations
  - name: Trade
    description: Trade related operations
  - name: Wallet
    description: Wallet related operations
  - name: Dex
    description: Dex related operations
  - name: Ranking
    description: Ranking related operations
  - name: DexPool
    description: DexPool related operations
  - name: Watchlist
    description: Watchlist related operations
  - name: KYT
    description: Kyt related operations
  - name: Webhook
    description: Webhook related operations
  - name: RedPacket
    description: Redpacket related operations
  - name: IPFS
    description: Ipfs related operations
  - name: DexScreener
    description: DexScreener related operations
paths:
  /v2/blockchain:
    get:
      tags:
        - Blockchain
      summary: Blockchain - List
      description: Get list of supported blockchains
      operationId: get.supported.blockchains
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Blockchain'
components:
  schemas:
    Blockchain:
      type: object
      description: Blockchain information
      required:
        - symbol
        - name
        - explorerUrl
        - chainId
      properties:
        chainId:
          type: integer
          format: int64
          description: Blockchain chain ID
          example: 1
        explorerUrl:
          type: string
          description: Blockchain explorer URL
          example: https://explorer.solana.com
        name:
          type: string
          description: Blockchain display name
          example: Solana
        symbol:
          type: string
          description: Blockchain ticker symbol
          example: SOL
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````